Debian Bug report logs - #429429
samba: nmbd not always necessary

version graph

Package: samba; Maintainer for samba is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for samba is src:samba.

Reported by: Robert Edmonds <edmonds@debian.org>

Date: Mon, 18 Jun 2007 01:03:37 UTC

Severity: wishlist

Found in version samba/3.0.24-6etch4

Fixed in version samba/3.0.25b-2

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#429429; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: submit@bugs.debian.org
Subject: samba: nmbd not always necessary
Date: Sun, 17 Jun 2007 20:19:43 -0400
[Message part 1 (text/plain, inline)]
Package: samba
Version: 3.0.24-6etch4
Severity: wishlist

nmbd is not always necessary; for instance in a non-Windows environment
with working name resolution.  It would be nice if the samba init script
supported only starting the smbd daemon.

-- System Information:
Debian Release: 4.0
Architecture: amd64
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages samba depends on:
ii  debconf  1.5.11                          Debian configuration management sy
ii  libacl1  2.2.41-1                        Access control list shared library
ii  libattr1 2.4.32-1                        Extended attribute shared library
ii  libc6    2.3.6.ds1-13                    GNU C Library: Shared libraries
ii  libcomer 1.39+1.40-WIP-2006.11.14+dfsg-2 common error description library
ii  libcupsy 1.2.7-4                         Common UNIX Printing System(tm) -
ii  libgnutl 1.4.4-3                         the GNU TLS library - runtime libr
ii  libkrb53 1.4.4-7etch1                    MIT Kerberos runtime libraries
ii  libldap2 2.1.30-13.3                     OpenLDAP libraries
ii  libpam-m 0.79-4                          Pluggable Authentication Modules f
ii  libpam-r 0.79-4                          Runtime support for the PAM librar
ii  libpam0g 0.79-4                          Pluggable Authentication Modules l
ii  libpopt0 1.10-3                          lib for parsing cmdline parameters
ii  logrotat 3.7.1-3                         Log rotation utility
ii  lsb-base 3.1-23.1                        Linux Standard Base 3.1 init scrip
ii  netbase  4.29                            Basic TCP/IP networking system
ii  procps   1:3.2.7-3                       /proc file system utilities
ii  samba-co 3.0.24-6etch4                   Samba common files used by both th
ii  zlib1g   1:1.2.3-13                      compression library - runtime

Versions of packages samba recommends:
pn  smbldap-tools                 <none>     (no description available)

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#429429; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 429429@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Robert Edmonds <edmonds@debian.org>, 429429@bugs.debian.org
Subject: Re: Bug#429429: samba: nmbd not always necessary
Date: Mon, 18 Jun 2007 11:54:56 +0100
On Sun, Jun 17, 2007 at 08:19:43PM -0400, Robert Edmonds wrote:
> Package: samba
> Version: 3.0.24-6etch4
> Severity: wishlist

> nmbd is not always necessary; for instance in a non-Windows environment
> with working name resolution.  It would be nice if the samba init script
> supported only starting the smbd daemon.

If you have a non-Windows environment, use a better protocol. :)

I consider this a wontfix.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#429429; Package samba. Full text and rfc822 format available.

Acknowledgement sent to "Gerald (Jerry) Carter" <jerry@samba.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 429429@bugs.debian.org (full text, mbox):

From: "Gerald (Jerry) Carter" <jerry@samba.org>
To: Steve Langasek <vorlon@debian.org>, 429429@bugs.debian.org
Cc: Robert Edmonds <edmonds@debian.org>
Subject: Re: [Pkg-samba-maint] Bug#429429: samba: nmbd not always necessary
Date: Mon, 18 Jun 2007 08:12:56 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Steve Langasek wrote:
> On Sun, Jun 17, 2007 at 08:19:43PM -0400, Robert Edmonds wrote:
>> Package: samba
>> Version: 3.0.24-6etch4
>> Severity: wishlist
> 
>> nmbd is not always necessary; for instance in a non-Windows environment
>> with working name resolution.  It would be nice if the samba init script
>> supported only starting the smbd daemon.
> 
> If you have a non-Windows environment, use a better protocol. :)
> 
> I consider this a wontfix.

Steve,  Many distribtions will not start nmbd if
"disable netbios = yes" in smb.conf for those AD environments
that have disabled the legacy protocol.  Something to consider.



jerry

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFGdoTXIR7qMdg1EfYRAlFnAJ9A5CGHTfGbPmzf24T+bZJ5eIRkmACglzNP
10zdzJTli87wBJQdvo/SCRE=
=ro5i
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#429429; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 429429@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 429429@bugs.debian.org
Subject: Re: Bug#429429: samba: nmbd not always necessary
Date: Mon, 18 Jun 2007 12:55:25 -0400
[Message part 1 (text/plain, inline)]
Steve Langasek wrote:
> On Sun, Jun 17, 2007 at 08:19:43PM -0400, Robert Edmonds wrote:
> > Package: samba
> > Version: 3.0.24-6etch4
> > Severity: wishlist
> 
> > nmbd is not always necessary; for instance in a non-Windows environment
> > with working name resolution.  It would be nice if the samba init script
> > supported only starting the smbd daemon.
> 
> If you have a non-Windows environment, use a better protocol. :)
> 

Such as?  NFS has at least as many downsides as CIFS (for which this
space is too small to enumerate); e.g., samba runs in userspace and
supports "unix extensions" which are only comparable to the kernel-only
NFSv4 daemon.

> I consider this a wontfix.

I would gladly supply a patch if it would be applied.

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#429429; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 429429@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: "Gerald (Jerry) Carter" <jerry@samba.org>
Cc: 429429@bugs.debian.org, Robert Edmonds <edmonds@debian.org>
Subject: Re: [Pkg-samba-maint] Bug#429429: samba: nmbd not always necessary
Date: Mon, 18 Jun 2007 15:29:58 +0100
On Mon, Jun 18, 2007 at 08:12:56AM -0500, Gerald (Jerry) Carter wrote:

> Steve Langasek wrote:
> > On Sun, Jun 17, 2007 at 08:19:43PM -0400, Robert Edmonds wrote:
> >> Package: samba
> >> Version: 3.0.24-6etch4
> >> Severity: wishlist

> >> nmbd is not always necessary; for instance in a non-Windows environment
> >> with working name resolution.  It would be nice if the samba init script
> >> supported only starting the smbd daemon.

> > If you have a non-Windows environment, use a better protocol. :)

> > I consider this a wontfix.

> Steve,  Many distribtions will not start nmbd if
> "disable netbios = yes" in smb.conf for those AD environments
> that have disabled the legacy protocol.  Something to consider.

That's fair; I'd be happy to make a change like that, but letting users
disable nmbd when the system isn't specifically configured for an AD-only
environment sounds broken to me.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#429429; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Andrew Bartlett <abartlet@samba.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 429429@bugs.debian.org (full text, mbox):

From: Andrew Bartlett <abartlet@samba.org>
To: Robert Edmonds <edmonds@debian.org>, 429429@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#429429: samba: nmbd not always necessary
Date: Tue, 19 Jun 2007 18:31:35 +1000
[Message part 1 (text/plain, inline)]
On Mon, 2007-06-18 at 12:55 -0400, Robert Edmonds wrote:
> Steve Langasek wrote:
> > On Sun, Jun 17, 2007 at 08:19:43PM -0400, Robert Edmonds wrote:
> > > Package: samba
> > > Version: 3.0.24-6etch4
> > > Severity: wishlist
> > 
> > > nmbd is not always necessary; for instance in a non-Windows environment
> > > with working name resolution.  It would be nice if the samba init script
> > > supported only starting the smbd daemon.
> > 
> > If you have a non-Windows environment, use a better protocol. :)
> > 
> 
> Such as?  NFS has at least as many downsides as CIFS (for which this
> space is too small to enumerate); e.g., samba runs in userspace and
> supports "unix extensions" which are only comparable to the kernel-only
> NFSv4 daemon.

As a team, we support the use of Samba as an NFS replacement.  This is
an explicit design goal of the CIFS unix extensions. 

Andrew Bartlett

-- 
Andrew Bartlett
http://samba.org/~abartlet/
Authentication Developer, Samba Team           http://samba.org
Samba Developer, Red Hat Inc.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#429429; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 429429@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: Andrew Bartlett <abartlet@samba.org>
Cc: 429429@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#429429: samba: nmbd not always necessary
Date: Tue, 19 Jun 2007 10:19:22 -0400
[Message part 1 (text/plain, inline)]
Andrew Bartlett wrote:
> As a team, we support the use of Samba as an NFS replacement.  This is
> an explicit design goal of the CIFS unix extensions. 

So, in a unix-only environment, is it a perfectly acceptable use case to
run without nmbd if browsing is not required and name resolution is
provided through other means?  What has the potential to break if nmbd
is not running?

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#429429; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 429429@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 429429@bugs.debian.org, edmonds@debian.org
Subject: Re: Bug#429429: [Pkg-samba-maint] Bug#429429: samba: nmbd not always necessary
Date: Tue, 19 Jun 2007 12:26:24 +0200
[Message part 1 (text/plain, inline)]
> That's fair; I'd be happy to make a change like that, but letting users
> disable nmbd when the system isn't specifically configured for an AD-only
> environment sounds broken to me.


Hmm, well, there would be several uses of this and why not leave the
choice to our users anyway.

I'd vote for something in /etc/default/samba. Only manually
configurable (no debconf question). Default to run nmbd of course.



[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#429429; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 429429@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Robert Edmonds <edmonds@debian.org>
Cc: Andrew Bartlett <abartlet@samba.org>, 429429@bugs.debian.org
Subject: Re: Bug#429429: samba: nmbd not always necessary
Date: Wed, 27 Jun 2007 12:22:54 -0700
tags 429429 pending
thanks

On Tue, Jun 19, 2007 at 10:19:22AM -0400, Robert Edmonds wrote:
> Andrew Bartlett wrote:
> > As a team, we support the use of Samba as an NFS replacement.  This is
> > an explicit design goal of the CIFS unix extensions. 

> So, in a unix-only environment, is it a perfectly acceptable use case to
> run without nmbd if browsing is not required and name resolution is
> provided through other means?  What has the potential to break if nmbd
> is not running?

"Unix-only environment" does not imply "does not need workgroup browsing or
NT4 domain support", neither of which work without nmbd.

There are cases where nmbd is not needed, yes; but I don't believe it's
appropriate to make this a toggle via /etc/default/samba.

I've just committed a change to the Debian samba init script in svn that
will honor 'disable netbios' if set in smb.conf, and not start nmbd in that
case.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags added: pending Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 27 Jun 2007 19:30:09 GMT) Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Edmonds <edmonds@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 429429-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 429429-close@bugs.debian.org
Subject: Bug#429429: fixed in samba 3.0.25b-2
Date: Sat, 18 Aug 2007 09:18:20 +0000
Source: samba
Source-Version: 3.0.25b-2

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive:

libpam-smbpass_3.0.25b-2_amd64.deb
  to pool/main/s/samba/libpam-smbpass_3.0.25b-2_amd64.deb
libpam-smbpass_3.0.25b-2_i386.deb
  to pool/main/s/samba/libpam-smbpass_3.0.25b-2_i386.deb
libsmbclient-dev_3.0.25b-2_amd64.deb
  to pool/main/s/samba/libsmbclient-dev_3.0.25b-2_amd64.deb
libsmbclient-dev_3.0.25b-2_i386.deb
  to pool/main/s/samba/libsmbclient-dev_3.0.25b-2_i386.deb
libsmbclient_3.0.25b-2_amd64.deb
  to pool/main/s/samba/libsmbclient_3.0.25b-2_amd64.deb
libsmbclient_3.0.25b-2_i386.deb
  to pool/main/s/samba/libsmbclient_3.0.25b-2_i386.deb
python-samba_3.0.25b-2_amd64.deb
  to pool/main/s/samba/python-samba_3.0.25b-2_amd64.deb
python-samba_3.0.25b-2_i386.deb
  to pool/main/s/samba/python-samba_3.0.25b-2_i386.deb
samba-common_3.0.25b-2_amd64.deb
  to pool/main/s/samba/samba-common_3.0.25b-2_amd64.deb
samba-common_3.0.25b-2_i386.deb
  to pool/main/s/samba/samba-common_3.0.25b-2_i386.deb
samba-dbg_3.0.25b-2_amd64.deb
  to pool/main/s/samba/samba-dbg_3.0.25b-2_amd64.deb
samba-dbg_3.0.25b-2_i386.deb
  to pool/main/s/samba/samba-dbg_3.0.25b-2_i386.deb
samba-doc-pdf_3.0.25b-2_all.deb
  to pool/main/s/samba/samba-doc-pdf_3.0.25b-2_all.deb
samba-doc_3.0.25b-2_all.deb
  to pool/main/s/samba/samba-doc_3.0.25b-2_all.deb
samba_3.0.25b-2.diff.gz
  to pool/main/s/samba/samba_3.0.25b-2.diff.gz
samba_3.0.25b-2.dsc
  to pool/main/s/samba/samba_3.0.25b-2.dsc
samba_3.0.25b-2_amd64.deb
  to pool/main/s/samba/samba_3.0.25b-2_amd64.deb
samba_3.0.25b-2_i386.deb
  to pool/main/s/samba/samba_3.0.25b-2_i386.deb
smbclient_3.0.25b-2_amd64.deb
  to pool/main/s/samba/smbclient_3.0.25b-2_amd64.deb
smbclient_3.0.25b-2_i386.deb
  to pool/main/s/samba/smbclient_3.0.25b-2_i386.deb
smbfs_3.0.25b-2_amd64.deb
  to pool/main/s/samba/smbfs_3.0.25b-2_amd64.deb
smbfs_3.0.25b-2_i386.deb
  to pool/main/s/samba/smbfs_3.0.25b-2_i386.deb
swat_3.0.25b-2_amd64.deb
  to pool/main/s/samba/swat_3.0.25b-2_amd64.deb
swat_3.0.25b-2_i386.deb
  to pool/main/s/samba/swat_3.0.25b-2_i386.deb
winbind_3.0.25b-2_amd64.deb
  to pool/main/s/samba/winbind_3.0.25b-2_amd64.deb
winbind_3.0.25b-2_i386.deb
  to pool/main/s/samba/winbind_3.0.25b-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 429429@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 17 Aug 2007 18:38:58 -0700
Source: samba
Binary: python-samba samba-doc-pdf samba-doc libsmbclient libpam-smbpass swat winbind smbclient samba libsmbclient-dev samba-common samba-dbg smbfs
Architecture: amd64 source i386 all
Version: 3.0.25b-2
Distribution: unstable
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 libpam-smbpass - pluggable authentication module for SMB/CIFS password database
 libsmbclient - shared library that allows applications to talk to SMB/CIFS serve
 libsmbclient-dev - libsmbclient static libraries and headers
 python-samba - Python bindings that allow access to various aspects of Samba
 samba      - a LanManager-like file and printer server for Unix
 samba-common - Samba common files used by both the server and the client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation (PDF format)
 smbclient  - a LanManager-like simple client for Unix
 smbfs      - mount and umount commands for the smbfs (for kernels >= than 2.2.
 swat       - Samba Web Administration Tool
 winbind    - service to resolve user and group information from Windows NT ser
Closes: 429429 431661 434372 436215
Changes: 
 samba (3.0.25b-2) unstable; urgency=low
 .
   [ Steve Langasek ]
   * Don't start nmbd if 'disable netbios' is set in the config.
     Closes: #429429.
   * missing_userspace_bugzilla999.patch: always use opt_gid and opt_uid,
     set to those of the invoking user, when called as non-root.
     Closes: #431661.
   * Fix up fhs.patch for some new FHS regressions:
     - make sure all references to winbindd_idmap.tdb look in /var/lib/samba
     - make sure all references to winbindd_cache.tdb look in /var/cache/samba
     - share_info.tdb belongs in /var/lib/samba; this is a regression
       introduced in 3.0.23-1, so fix up this path on samba upgrade
     - move the ADS "gpo" cache directory to /var/cache/samba
     - move idmap_cache.tdb to /var/cache/samba, and fix up the path on
       winbind upgrade
   * linux-cifs-user-perms.patch: also support setting a default uid and gid
     value when mount.cifs is called as non-root
   * cifs-umount-trailing-slashes.patch: canonicalize mount point names when
     umount.cifs is called, to avoid unnecessarily leaving entries behind in
     /etc/mtab if invoked with a trailing slash in the mount point name
   * cifs-umount-same-user.patch: the CIFS_IOC_CHECKMOUNT ioctl check
     in umount.cifs assumed that errors would return a value > 0, when in fact
     the return value on failure is -1.  Correct this assumption, which was
     allowing any user to unmount shares mounted by other users.
   * smbpasswd-syslog.patch: Fix pam_smbpass to no longer call openlog()
     and closelog(), since this will interfere with syslogging behavior
     of the calling application.  Closes: #434372.
   * swat should depend only on inet-superserver, not update-inetd, per
     Marco d'Itri.
 .
   [ Christian Perrier ]
   * debian/panic-action: bail out if there's no "mail" command
     Patch from the Ubuntu samba packagers.
   * debian/smb.conf: use the comment from Ubuntu package for the "valid users"
     setting of [homes] as a basis for ours. Ubuntu's wording is better.
 .
   [ Peter Eisentraut ]
   * Don't ignore errors from make distclean, as per lintian check
 .
   [ Debconf translations ]
   * Gujarati updated. Closes: #436215
Files: 
 e9411bc1dd712074aa48fc2598f7de70 4134112 net optional samba_3.0.25b-2_amd64.deb
 4ee09258c0127580d412ade2b563c17e 3014404 net optional samba-common_3.0.25b-2_amd64.deb
 415c45dad6f1b39bfe84c50d3f2dbb8f 5229854 net optional smbclient_3.0.25b-2_amd64.deb
 7594bbc57f92a6661aa86786023c6824 1027286 net optional swat_3.0.25b-2_amd64.deb
 d2e950f5963bf0d631c1bccc58372cf3 514352 otherosfs optional smbfs_3.0.25b-2_amd64.deb
 a45b1c5657730b3c61d40bcd4277c714 501774 admin extra libpam-smbpass_3.0.25b-2_amd64.deb
 1f9d7f6757b5855b5eecd1bdff3589f5 947108 libs optional libsmbclient_3.0.25b-2_amd64.deb
 18585087930aa73a186de44c7fb1db85 1266742 libdevel extra libsmbclient-dev_3.0.25b-2_amd64.deb
 9fd6f4bb53de896b36d9575bc30fcb04 2428038 net optional winbind_3.0.25b-2_amd64.deb
 3742eb99be2d4cc6a3d90ada40b1838a 7181188 python optional python-samba_3.0.25b-2_amd64.deb
 70ada8ba68beeccd31ee4193f4b04b0c 20723784 devel extra samba-dbg_3.0.25b-2_amd64.deb
 a1df4318b6bc45459a75c0309a85028c 1429 net optional samba_3.0.25b-2.dsc
 a865f5c3979b367fb0952196fa401d6c 190735 net optional samba_3.0.25b-2.diff.gz
 11e7b41b06e772e7c91cd91a0457cfe6 6973258 doc optional samba-doc_3.0.25b-2_all.deb
 747c2707450a8aca7f7f961ead1d1059 6608602 doc optional samba-doc-pdf_3.0.25b-2_all.deb
 67f00ffc0627d7aff76e8d4b5610155e 3761850 net optional samba_3.0.25b-2_i386.deb
 e6074421221f1ddb839b00d793f30f1e 2790346 net optional samba-common_3.0.25b-2_i386.deb
 9bed07b05d0d93ac466f566a0909b481 4770224 net optional smbclient_3.0.25b-2_i386.deb
 c10a2b6a19a5e3c3c08b7edcbd68e04f 948342 net optional swat_3.0.25b-2_i386.deb
 ed5a3062593cdb559b2b1ef6dcb807b7 468260 otherosfs optional smbfs_3.0.25b-2_i386.deb
 a9b68886a71a66bc4e9a092e304e14e1 450720 admin extra libpam-smbpass_3.0.25b-2_i386.deb
 8947ee6f481ed2980ad4368999eb09f2 859828 libs optional libsmbclient_3.0.25b-2_i386.deb
 216f31d4c4d52e61528a2e6e3a987f88 1172920 libdevel extra libsmbclient-dev_3.0.25b-2_i386.deb
 d1448b1acf730fde6d11b166c4017261 2189820 net optional winbind_3.0.25b-2_i386.deb
 1f8b435252264fd72899a2dbc9ce37cd 6493732 python optional python-samba_3.0.25b-2_i386.deb
 84cfd966f39cfd9b3d4460866e846b14 20001358 devel extra samba-dbg_3.0.25b-2_i386.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGxlnlKN6ufymYLloRAqqKAJ48Zsgd/eN5/hiIezpEeK/9IsDOSQCeJ1pu
VJkfBWcgRrDpcmn4kwvwwe4=
=nl1H
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Sep 2007 07:26:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:33:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.